package baleine.client;

import baleine.client.game.controller.TransApplicationController;
import baleine.client.game.view.TransApplicationView;
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.stage.Stage;

/**
 * Main application
 * 
 * @author thomas
 */
public class ClientApp extends Application {
	private TransApplicationView view;
	private TransApplicationController controller;

	@Override
	public void start(Stage stage) throws Exception {

		view = new TransApplicationView();
		controller = new TransApplicationController(view);

		// Application content display
		stage.setTitle("Translator");
		stage.setScene(new Scene(view, 600, 400));
		stage.setResizable(false);
		stage.show();
	}

	/**
	 * Run
	 * 
	 * @param args
	 */
	public static void main(String[] args) {
		launch(args);
	}
}
